import React from 'react';
import type { Command } from '@codemirror/view';
import { EditorView } from '@codemirror/view';
import { unfoldAll } from '@codemirror/language';
declare type EditorLanguage = 'json' | 'javascript';
declare type EditorProps = {
    language?: EditorLanguage;
    onChangeText?: (text: string, event?: any) => void;
    onLoad?: (editor: EditorView) => void;
    darkMode?: boolean;
    inline?: boolean;
    showLineNumbers?: boolean;
    readOnly?: boolean;
    className?: string;
    'data-testid'?: string;
} & ({
    text: string;
    initialText?: never;
} | {
    text?: never;
    initialText: string;
});
declare const BaseEditor: React.FunctionComponent<EditorProps> & {
    foldAll: typeof foldAll;
    unfoldAll: typeof unfoldAll;
};
declare const foldAll: Command;
export type { EditorView };
export { BaseEditor as JSONEditor };
//# sourceMappingURL=json-editor.d.ts.map